//----------------------------------------------------------------------------------------------------------------------
// Custom Theme SCSS
//
// Note: Mixins and variable references are perfectly acceptable here.
//----------------------------------------------------------------------------------------------------------------------

// Height
.h-0 {
    height: 0;
}

// Fonts
.font-sm {
    font-size: 0.95rem;
}

.font-xs {
    font-size: 0.85rem;
}

// Body
body {
    overscroll-behavior-y: none;
    font-size: 0.90rem;
}

// Pages
.page {
    margin-top: 0.65rem;
    margin-bottom: 0.65rem;
}

//----------------------------------------------------------------------------------------------------------------------
// Code Mirror Theming
//----------------------------------------------------------------------------------------------------------------------

.cm-editor {
    font-size: 0.85rem;

    border-bottom-left-radius: var(--bs-border-radius);
    border-bottom-right-radius: var(--bs-border-radius);

    .cm-gutters {
        color: var(--bs-secondary-text);
        background-color: var(--bs-tertiary-bg);
        border-color: var(--bs-border-color);
        border-bottom-left-radius: var(--bs-border-radius);
    }

    .cm-activeLineGutter {
        background-color: var(--bs-secondary-bg-subtle);
    }
}

//----------------------------------------------------------------------------------------------------------------------

//----------------------------------------------------------------------------------------------------------------------

// Dropshadow
.shadow-sm {
    box-shadow: 2px 2px 6px rgba(0, 0, 0, 0.1) !important;
}

//----------------------------------------------------------------------------------------------------------------------

// Fix modals
.modal-content {
    overflow: hidden;
}

.modal-header {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.modal-full {
    width: 99%;
    max-width: none;
}

.modal-xxl {
    width: 80%;
    max-width: none;
}

//----------------------------------------------------------------------------------------------------------------------

// Buttons
.input-button {
    width: 35px;
}

// Input Group
.input-group {
    input.form-control {
        min-height: 33.6px;
    }
}

//----------------------------------------------------------------------------------------------------------------------
